Page MenuHomePhabricator

[epic] Install 4.6 to staging and test like hell
Closed, ResolvedPublic

Description

Upgrade process as currently understood:
https://etherpad.wikimedia.org/p/Civi_4.6_staging_deployment

Beat on our custom modules and the integration between subsystems.

Prioritize work by whatever causes unrecoverable data loss sort of situations. If we can fix it later, don't sweat.

Emergency protocol

Note that rolling back an upgrade would be a big effing deal, so test thoroughly and realistically. Iterate generously.

Consider installing an audit mechanism before the upgrade (T115731), so that manual entry is not lost in case of rollback. This would give us the ability to replay some of the lost changes, or at least see them listed.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm/civicrm : civi-4.6.9CRM-17422 fix - Change in custom field search behaviour impacting on performance
wikimedia/fundraising/crm/civicrm : masterPretty-print upgrade outputs
wikimedia/fundraising/crm/civicrm : civi-4.6.9Log upgrade steps
wikimedia/fundraising/crm/civicrm : masterLog upgrade steps
wikimedia/fundraising/crm/civicrm : civi-4.6.9Pretty-print upgrade outputs

Related Objects

StatusAssignedTask
OpenNone
Resolvedmepps
ResolvedNone
Resolvedawight
ResolvedEileenmcnaughton
ResolvedNone
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
ResolvedNone
Resolvedawight
ResolvedDStrine
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
DeclinedEileenmcnaughton
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
OpenEileenmcnaughton

Event Timeline

awight created this task.May 20 2015, 9:46 PM
awight raised the priority of this task from to Medium.
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)
awight set Security to None.
awight updated the task description. (Show Details)
awight added subscribers: gerritbot, awight, atgo, Aklapper.
awight renamed this task from Install 4.4 to staging and test like hell to Install 4.6 to staging and test like hell.Sep 11 2015, 6:19 PM
awight updated the task description. (Show Details)Sep 11 2015, 7:07 PM

I get the following warnings when running the migration locally:

Undefined variable: currentVer FourThree.php:207                                                                                      [notice]
Undefined index: 1 FourThree.php:208                                                                                                  [notice]

Change 242820 had a related patch set uploaded (by Awight):
Log upgrade steps

https://gerrit.wikimedia.org/r/242820

Change 242827 had a related patch set uploaded (by Awight):
Pretty-print upgrade outputs

https://gerrit.wikimedia.org/r/242827

Change 242821 had a related patch set uploaded (by Awight):
Log upgrade steps

https://gerrit.wikimedia.org/r/242821

Change 242828 had a related patch set uploaded (by Awight):
Pretty-print upgrade outputs

https://gerrit.wikimedia.org/r/242828

I've added a JIRA to track the enotice https://issues.civicrm.org/jira/browse/CRM-17325 - it looks like it wouldn't cause a problem...

Change 242828 abandoned by Awight:
Pretty-print upgrade outputs

https://gerrit.wikimedia.org/r/242828

Change 242820 abandoned by Awight:
Log upgrade steps

https://gerrit.wikimedia.org/r/242820

Change 242821 merged by jenkins-bot:
Log upgrade steps

https://gerrit.wikimedia.org/r/242821

Change 242827 abandoned by Eileen:
Pretty-print upgrade outputs

Reason:
We replaced this one with a different one

https://gerrit.wikimedia.org/r/242827

awight updated the task description. (Show Details)Oct 16 2015, 5:36 PM
awight updated the task description. (Show Details)Oct 19 2015, 5:44 PM

Change 248294 had a related patch set uploaded (by Eileen):
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/248294

awight renamed this task from Install 4.6 to staging and test like hell to [epic] Install 4.6 to staging and test like hell.Oct 25 2015, 8:49 AM

Change 248294 merged by jenkins-bot:
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/248294

Change 252475 had a related patch set uploaded (by Eileen):
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/252475

Change 252475 merged by Eileen:
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/252475

Change 285775 had a related patch set uploaded (by Eileen):
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/285775

Change 285775 merged by Eileen:
CRM-17422 fix - Change in custom field search behaviour impacting on performance

https://gerrit.wikimedia.org/r/285775

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM